Bug 1494867 - perl-Net-IP is a required dependency of clatd
Summary: perl-Net-IP is a required dependency of clatd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clatd
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-23 19:43 UTC by Terry Froy
Modified: 2017-10-11 16:19 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-08 03:50:24 UTC


Attachments (Terms of Use)

Description Terry Froy 2017-09-23 19:43:57 UTC
Description of problem:

Reinstalled my machine with Fedora 26 and manually installed clatd as my home LAN is IPv6-only.

Connectivity remained IPv6-only due to failure of clatd to start.

Version-Release number of selected component (if applicable):

clatd-1.4-3.fc26

How reproducible:

Always

Steps to Reproduce:
1. Fresh install of Fedora 26 Compiz-MATE spin (probably will work on vanilla Fedora 26 too)
2. yum install clatd
3. Connect Ethernet interface to IPv6-only LAN which advertises DNS servers that are enabled for DNS64.

Actual results:

Sep 23 19:28:21 cybernoid audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=clatd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 23 19:28:21 cybernoid clatd[14699]: Can't locate Net/IP.pm in @INC (you may need to install the Net::IP module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/sbin/clatd line 27.
Sep 23 19:28:21 cybernoid clatd[14699]: BEGIN failed--compilation aborted at /usr/sbin/clatd line 27.
Sep 23 19:28:21 cybernoid audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=clatd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Sep 23 19:28:21 cybernoid systemd[1]: clatd.service: Main process exited, code=exited, status=2/INVALIDARGUMENT
Sep 23 19:28:21 cybernoid systemd[1]: clatd.service: Unit entered failed state.
Sep 23 19:28:21 cybernoid systemd[1]: clatd.service: Failed with result 'exit-code'.

Expected results:

Sep 23 20:11:28 cybernoid audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=clatd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 23 20:11:28 cybernoid clatd[18108]: Starting clatd v1.4 by Tore Anderson <tore@fud.no>
Sep 23 20:11:28 cybernoid clatd[18108]: Performing DNS64-based PLAT prefix discovery (cf. RFC 7050)
Sep 23 20:11:31 cybernoid audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=clatd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 23 20:11:31 cybernoid audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=clatd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 23 20:11:31 cybernoid clatd[18155]: Starting clatd v1.4 by Tore Anderson <tore@fud.no>
Sep 23 20:11:31 cybernoid clatd[18155]: Performing DNS64-based PLAT prefix discovery (cf. RFC 7050)
Sep 23 20:11:32 cybernoid clatd[18155]: Using PLAT (NAT64) prefix: 64:ff9b::/96
Sep 23 20:11:32 cybernoid clatd[18155]: Device facing the PLAT: enp0s25
Sep 23 20:11:32 cybernoid clatd[18155]: Attempting to derive a CLAT IPv6 address from an IPv6 address on 'enp0s25'
Sep 23 20:11:42 cybernoid clatd[18155]: Using CLAT IPv4 address: 192.0.0.1
Sep 23 20:11:42 cybernoid clatd[18155]: Using CLAT IPv6 address: <snip IPv6 CLAT address>
Sep 23 20:11:42 cybernoid clatd[18155]: Checking if this system already has IPv4 connectivity in 10 sec(s)
Sep 23 20:11:42 cybernoid clatd[18155]: Enabling IPv6 forwarding
Sep 23 20:11:42 cybernoid clatd[18155]: Adding ip6tables rules allowing traffic between the CLAT and PLAT devices
Sep 23 20:11:42 cybernoid clatd[18155]: Enabling Proxy-ND for <snip LAN IPv6 prefix> on enp0s25
Sep 23 20:11:42 cybernoid clatd[18155]: Creating and configuring up CLAT device 'clat'
Sep 23 20:11:42 cybernoid clatd[18155]: Created persistent tun device clat
Sep 23 20:11:42 cybernoid clatd[18155]: Adding IPv4 default route via the CLAT
Sep 23 20:11:42 cybernoid clatd[18155]: Starting up TAYGA, using config file '/tmp/s6CLRlTnCY'

Additional info:

I ran 'yum install perl-Net-IP' after getting the logs provided above in 'Actual results' which were used to provide the 'Expected results' logs.

Once this was dependency was fulfilled and the interface state was cycled, clatd started and was fully operational.

The changelog in the RPM states:

* Tue Jun 28 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 1.4-2
- Fixes for bz#1302876, including
- Now BuildRequires pod2man
- Requires perl(Net::IP) is autogenerated, so not needed explicit
- clatd.conf is marked as config file
- Packaged 1.4 release tarball, and added changes from upstream as patches

I suspect that at some point in time, the autogenerated dependency on perl-Net-IP is no longer present and either this should be investigated as to why it is no longer present in the package *or* it should be re-added as a manual dependency in the package specfile.

Comment 1 Terry Froy 2017-09-23 20:03:27 UTC
I enclose the relevant log snippet from /var/log/dnf.log:

2017-09-23T18:24:08Z INFO --- logging initialized ---
2017-09-23T18:24:08Z DDEBUG timer: config: 4 ms
2017-09-23T18:24:08Z DEBUG Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync
2017-09-23T18:24:08Z DEBUG DNF version: 2.6.3
2017-09-23T18:24:08Z DDEBUG Command: dnf install clatd 
2017-09-23T18:24:08Z DDEBUG Installroot: /
2017-09-23T18:24:08Z DDEBUG Releasever: 26
2017-09-23T18:24:08Z DEBUG cachedir: /var/cache/dnf
2017-09-23T18:24:08Z DDEBUG Base command: install
2017-09-23T18:24:08Z DDEBUG Extra commands: ['install', 'clatd']
2017-09-23T18:24:08Z DEBUG repo: using cache for: updates
2017-09-23T18:24:08Z DEBUG updates: using metadata from Fri 22 Sep 2017 18:54:08 BST.
2017-09-23T18:24:08Z DEBUG repo: using cache for: fedora
2017-09-23T18:24:08Z DEBUG not found deltainfo for: Fedora 26 - x86_64
2017-09-23T18:24:08Z DEBUG not found updateinfo for: Fedora 26 - x86_64
2017-09-23T18:24:09Z DEBUG fedora: using metadata from Wed 05 Jul 2017 21:31:38 BST.
2017-09-23T18:24:09Z DEBUG repo: using cache for: rpmfusion-free-updates
2017-09-23T18:24:09Z DEBUG not found deltainfo for: RPM Fusion for Fedora 26 - Free - Updates
2017-09-23T18:24:09Z DEBUG not found updateinfo for: RPM Fusion for Fedora 26 - Free - Updates
2017-09-23T18:24:09Z DEBUG rpmfusion-free-updates: using metadata from Fri 22 Sep 2017 23:04:59 BST.
2017-09-23T18:24:09Z DEBUG repo: using cache for: rpmfusion-free
2017-09-23T18:24:09Z DEBUG not found deltainfo for: RPM Fusion for Fedora 26 - Free
2017-09-23T18:24:09Z DEBUG not found updateinfo for: RPM Fusion for Fedora 26 - Free
2017-09-23T18:24:09Z DEBUG rpmfusion-free: using metadata from Mon 10 Jul 2017 13:06:27 BST.
2017-09-23T18:24:09Z DEBUG repo: using cache for: rpmfusion-nonfree-updates
2017-09-23T18:24:09Z DEBUG not found deltainfo for: RPM Fusion for Fedora 26 - Nonfree - Updates
2017-09-23T18:24:09Z DEBUG not found updateinfo for: RPM Fusion for Fedora 26 - Nonfree - Updates
2017-09-23T18:24:09Z DEBUG rpmfusion-nonfree-updates: using metadata from Fri 22 Sep 2017 23:28:48 BST.
2017-09-23T18:24:09Z DEBUG repo: using cache for: rpmfusion-nonfree
2017-09-23T18:24:09Z DEBUG not found deltainfo for: RPM Fusion for Fedora 26 - Nonfree
2017-09-23T18:24:09Z DEBUG not found updateinfo for: RPM Fusion for Fedora 26 - Nonfree
2017-09-23T18:24:09Z DEBUG rpmfusion-nonfree: using metadata from Mon 10 Jul 2017 13:08:07 BST.
2017-09-23T18:24:09Z INFO Last metadata expiration check: 2:07:24 ago on Sat 23 Sep 2017 17:16:44 BST.
2017-09-23T18:24:09Z DDEBUG timer: sack setup: 1217 ms
2017-09-23T18:24:09Z DEBUG --> Starting dependency resolution
2017-09-23T18:24:10Z DEBUG ---> Package clatd.noarch 1.4-3.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-IO-Socket-INET6.noarch 2.72-9.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Net-DNS.noarch 1.09-1.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package tayga.x86_64 0.9.2-5.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Socket6.x86_64 0.28-2.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Digest-HMAC.noarch 1.03-14.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Digest-MD5.x86_64 2.55-3.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Digest.noarch 1.17-367.fc26 will be installed
2017-09-23T18:24:10Z DEBUG ---> Package perl-Digest-SHA.x86_64 1:5.97-1.fc26 will be installed
2017-09-23T18:24:10Z DEBUG --> Finished dependency resolution
2017-09-23T18:24:10Z DDEBUG timer: depsolve: 780 ms
2017-09-23T18:24:10Z INFO Dependencies resolved.
2017-09-23T18:24:10Z INFO ================================================================================
 Package                   Arch        Version               Repository    Size
================================================================================
Installing:
 clatd                     noarch      1.4-3.fc26            fedora        36 k
Installing dependencies:
 perl-Digest               noarch      1.17-367.fc26         fedora        25 k
 perl-Digest-HMAC          noarch      1.03-14.fc26          fedora        18 k
 perl-Digest-MD5           x86_64      2.55-3.fc26           fedora        34 k
 perl-Digest-SHA           x86_64      1:5.97-1.fc26         updates       63 k
 perl-IO-Socket-INET6      noarch      2.72-9.fc26           fedora        31 k
 perl-Net-DNS              noarch      1.09-1.fc26           fedora       362 k
 perl-Socket6              x86_64      0.28-2.fc26           fedora        33 k
 tayga                     x86_64      0.9.2-5.fc26          fedora        45 k

Transaction Summary
================================================================================
Install  9 Packages

2017-09-23T18:24:10Z INFO Total download size: 647 k
2017-09-23T18:24:10Z INFO Installed size: 1.2 M
2017-09-23T18:24:24Z INFO Downloading Packages:
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b700d5898>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b585326d8>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532780>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532c88>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532c50>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532710>, 0, None), {}
2017-09-23T18:24:26Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532a90>, 0, None), {}
2017-09-23T18:24:27Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b58532828>, 0, None), {}
2017-09-23T18:24:27Z SUBDEBUG Call: RPMPayload._end_cb: (<dnf.repo.RPMPayload object at 0x7f6b585327b8>, 0, None), {}
2017-09-23T18:24:27Z INFO --------------------------------------------------------------------------------
2017-09-23T18:24:27Z INFO Total                                           271 kB/s | 647 kB     00:02     
2017-09-23T18:24:27Z INFO Running transaction check
2017-09-23T18:24:27Z INFO Transaction check succeeded.
2017-09-23T18:24:27Z INFO Running transaction test
2017-09-23T18:24:27Z INFO Transaction test succeeded.
2017-09-23T18:24:27Z DDEBUG timer: transaction test: 93 ms
2017-09-23T18:24:27Z INFO Running transaction
2017-09-23T18:24:27Z DDEBUG RPM transaction start.
2017-09-23T18:24:29Z DDEBUG RPM transaction over.
2017-09-23T18:24:30Z DDEBUG timer: verify transaction: 723 ms
2017-09-23T18:24:30Z DDEBUG timer: transaction: 3253 ms
2017-09-23T18:24:30Z DEBUG Completion plugin: Generating completion cache...
2017-09-23T18:24:30Z INFO 
Installed:
  clatd.noarch 1.4-3.fc26               perl-Digest.noarch 1.17-367.fc26        
  perl-Digest-HMAC.noarch 1.03-14.fc26  perl-Digest-MD5.x86_64 2.55-3.fc26      
  perl-Digest-SHA.x86_64 1:5.97-1.fc26  perl-IO-Socket-INET6.noarch 2.72-9.fc26 
  perl-Net-DNS.noarch 1.09-1.fc26       perl-Socket6.x86_64 0.28-2.fc26         
  tayga.x86_64 0.9.2-5.fc26            

2017-09-23T18:24:30Z INFO Complete!
2017-09-23T18:24:30Z DDEBUG Cleaning up.
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-Socket6-0.28-2.fc26.x86_64.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/tayga-0.9.2-5.fc26.x86_64.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/clatd-1.4-3.fc26.noarch.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-Net-DNS-1.09-1.fc26.noarch.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-Digest-MD5-2.55-3.fc26.x86_64.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-IO-Socket-INET6-2.72-9.fc26.noarch.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/updates-2854b3113b7a3c6c/packages/perl-Digest-SHA-5.97-1.fc26.x86_64.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-Digest-HMAC-1.03-14.fc26.noarch.rpm removed
2017-09-23T18:24:30Z DDEBUG /var/cache/dnf/fedora-6dbd63560daef6bf/packages/perl-Digest-1.17-367.fc26.noarch.rpm removed

Comment 2 Ingvar Hagelund 2017-09-26 09:57:25 UTC
Hi, Terry

Thanks for the report. By some reason, the automatic requirement of Net::IP fails when the package is built in mock, which is what the builders do.

I'll readd the requirement of Net::IP and update the package.

Ingvar

Comment 3 Fedora Update System 2017-09-26 10:46:23 UTC
clatd-1.4-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-50e59371b2

Comment 4 Fedora Update System 2017-09-26 10:46:30 UTC
clatd-1.4-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-59a3b30724

Comment 5 Fedora Update System 2017-09-26 10:46:37 UTC
clatd-1.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f298c1814

Comment 6 Fedora Update System 2017-09-26 10:46:42 UTC
clatd-1.4-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2decc894ea

Comment 7 Fedora Update System 2017-09-26 10:46:47 UTC
clatd-1.4-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d01c9bc6d9

Comment 8 Fedora Update System 2017-09-26 17:55:31 UTC
clatd-1.4-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-50e59371b2

Comment 9 Fedora Update System 2017-09-27 05:46:55 UTC
clatd-1.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f298c1814

Comment 10 Fedora Update System 2017-09-27 05:47:35 UTC
clatd-1.4-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-59a3b30724

Comment 11 Fedora Update System 2017-09-27 07:01:35 UTC
clatd-1.4-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2decc894ea

Comment 12 Fedora Update System 2017-09-27 07:10:17 UTC
clatd-1.4-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d01c9bc6d9

Comment 13 Terry Froy 2017-10-05 06:46:35 UTC
I have tested clatd-1.4-6.fc26 and perl-Net-IP is now pulled in correctly as a dependency.

[root@cybernoid tez]# rpm -e perl-Net-IP
[root@cybernoid tez]# yum --enablerepo=updates-testing update clatd
Last metadata expiration check: 0:00:25 ago on Thu 05 Oct 2017 07:37:41 BST.
Dependencies resolved.
================================================================================
 Package           Arch         Version             Repository             Size
================================================================================
Upgrading:
 clatd             noarch       1.4-6.fc26          updates-testing        36 k
Installing dependencies:
 perl-Net-IP       noarch       1.26-11.fc26        fedora                 39 k

Transaction Summary
================================================================================
Install  1 Package
Upgrade  1 Package

Total download size: 75 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): perl-Net-IP-1.26-11.fc26.noarch.rpm      225 kB/s |  39 kB     00:00    
(2/2): clatd-1.4-6.fc26.noarch.rpm              118 kB/s |  36 kB     00:00    
--------------------------------------------------------------------------------
Total                                            46 kB/s |  75 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Running scriptlet: None                                                   1/1 
  Preparing        :                                                        1/1 
  Installing       : perl-Net-IP-1.26-11.fc26.noarch                        1/3 
  Upgrading        : clatd-1.4-6.fc26.noarch                                2/3 
  Running scriptlet: clatd-1.4-6.fc26.noarch                                2/3 
  Cleanup          : clatd-1.4-3.fc26.noarch                                3/3 
  Running scriptlet: clatd-1.4-3.fc26.noarch                                3/3 
  Verifying        : perl-Net-IP-1.26-11.fc26.noarch                        1/3 
  Verifying        : clatd-1.4-6.fc26.noarch                                2/3 
  Verifying        : clatd-1.4-3.fc26.noarch                                3/3 

Installed:
  perl-Net-IP.noarch 1.26-11.fc26                                               

Upgraded:
  clatd.noarch 1.4-6.fc26                                                       

Complete!
[root@cybernoid tez]#

Logs on starting a new clatd instance:

-- The start-up result is done.
Oct 05 07:38:40 cybernoid.spilsby.net.uk clatd[30351]: Starting clatd v1.4 by Tore Anderson <tore@fud.no>
Oct 05 07:38:40 cybernoid.spilsby.net.uk clatd[30351]: Performing DNS64-based PLAT prefix discovery (cf. RFC 7050)
Oct 05 07:38:40 cybernoid.spilsby.net.uk clatd[30351]: Using PLAT (NAT64) prefix: 64:ff9b::/96
Oct 05 07:38:40 cybernoid.spilsby.net.uk clatd[30351]: Device facing the PLAT: enp0s25
Oct 05 07:38:40 cybernoid.spilsby.net.uk clatd[30351]: Attempting to derive a CLAT IPv6 address from an IPv6 address on 'enp0s25'
Oct 05 07:38:49 cybernoid.spilsby.net.uk audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Using CLAT IPv4 address: 192.0.0.1
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Using CLAT IPv6 address: 2a01:568:30fa:1:b5fb:c23a:6378:0
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Checking if this system already has IPv4 connectivity in 10 sec(s)
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Enabling IPv6 forwarding
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Adding ip6tables rules allowing traffic between the CLAT and PLAT devices
Oct 05 07:38:50 cybernoid.spilsby.net.uk audit: NETFILTER_CFG table=filter family=10 entries=89
Oct 05 07:38:50 cybernoid.spilsby.net.uk audit: NETFILTER_CFG table=filter family=10 entries=90
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Enabling Proxy-ND for 2a01:568:30fa:1:b5fb:c23a:6378:0 on enp0s25
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Creating and configuring up CLAT device 'clat'
Oct 05 07:38:50 cybernoid.spilsby.net.uk systemd-udevd[30526]: link_config: autonegotiation is unset or enabled, the speed and duplex are not writable.
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4441] manager: (clat): new Tun device (/org/freedesktop/NetworkManager/Devices/18)
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Created persistent tun device clat
Oct 05 07:38:50 cybernoid.spilsby.net.uk kernel: IPv6: ADDRCONF(NETDEV_UP): clat: link is not ready
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Adding IPv4 default route via the CLAT
Oct 05 07:38:50 cybernoid.spilsby.net.uk clatd[30351]: Starting up TAYGA, using config file '/tmp/Tcl8fJjdqC'
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4569] device (clat): state change: unmanaged -> unavailable (reason 'connection-assumed', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: starting TAYGA 0.9.2
Oct 05 07:38:50 cybernoid.spilsby.net.uk kernel: IPv6: ADDRCONF(NETDEV_CHANGE): clat: link becomes ready
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4606] keyfile: add connection in-memory (26c25426-8d51-4b3b-93bb-ae0d6ae15062,"clat")
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4610] device (clat): state change: unavailable -> disconnected (reason 'connection-assumed', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4618] device (clat): Activation: starting connection 'clat' (26c25426-8d51-4b3b-93bb-ae0d6ae15062)
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: Using tun device clat with MTU 1500
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4625] device (clat): state change: disconnected -> prepare (reason 'none', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: TAYGA's IPv4 address: 192.0.0.2
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: TAYGA's IPv6 address: 64:ff9b::c000:2
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4632] device (clat): state change: prepare -> config (reason 'none', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4635] device (clat): state change: config -> ip-config (reason 'none', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: NAT64 prefix: 64:ff9b::/96
Oct 05 07:38:50 cybernoid.spilsby.net.uk tayga[30533]: Note: traffic between IPv6 hosts and private IPv4 addresses (i.e. to/from 64:ff9b::10.0.0.0/104, 64:ff9b::192.168.0.0/112, etc) will be dropped.  Use a translation prefix within your organization's IPv6 address space instead of 64:ff9b::/96 if you need your IPv6 hosts to communicate with private IPv4 addresses.
Oct 05 07:38:50 cybernoid.spilsby.net.uk NetworkManager[941]: <info>  [1507185530.4641] device (clat): state change: ip-config -> ip-check (reason 'none', internal state 'external')
Oct 05 07:38:50 cybernoid.spilsby.net.uk dbus-daemon[880]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service' requested by ':1.9' (uid=0 pid=941 comm="/usr/sbin/NetworkManager --no-daemon " label="system_u:system_r:NetworkManager_t:s0")
Oct 05 07:38:50 cybernoid.spilsby.net.uk systemd[1]: Starting Network Manager Script Dispatcher Service...
-- Subject: Unit NetworkManager-dispatcher.service has begun start-up
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit NetworkManager-dispatcher.service has begun starting up.
Oct 05 07:38:50 cybernoid.spilsby.net.uk dbus-daemon[880]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Oct 05 07:38:50 cybernoid.spilsby.net.uk nm-dispatcher[30534]: req:1 'pre-up' [clat]: new request (1 scripts)
Oct 05 07:38:50 cybernoid.spilsby.net.uk systemd[1]: Started Network Manager Script Dispatcher Service.
-- Subject: Unit NetworkManager-dispatcher.service has finished start-up
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit NetworkManager-dispatcher.service has finished starting up.
-- 
-- The start-up result is done.

... and the updated clatd is also working 100% like it did before.

Thanks Ingvar!

Comment 14 Fedora Update System 2017-10-08 03:50:24 UTC
clatd-1.4-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-10-08 06:28:03 UTC
clatd-1.4-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-10-08 08:27:05 UTC
clatd-1.4-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-10-11 16:16:34 UTC
clatd-1.4-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-10-11 16:19:44 UTC
clatd-1.4-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.